Class | Exception
In: | yaml/rubytypes.rb
Parent: | Object

### Methods

to_yaml yaml_new

### Public Class methods

yaml_new( klass, tag, val )

[Source]

    # File yaml/rubytypes.rb, line 119
        def Exception.yaml_new( klass, tag, val )
            o = YAML.object_maker( klass, { 'mesg' => val.delete( 'message' ) } )
            val.each_pair do |k,v|
                o.instance_variable_set("@#{k}", v)
            end
            o
        end

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/rubytypes.rb, line 126
            def to_yaml( opts = {} )
                    YAML::quick_emit( object_id, opts ) do |out|
                out.map( taguri, to_yaml_style ) do |map|
                    map.add( 'message', message )
                                    to_yaml_properties.each do |m|
                        map.add( m[1..-1], instance_variable_get( m ) )
                    end
                end
            end
            end

[Validate]